/**

 * Theme Name:     Astra Child
 * Author:         Brainstorm Force
 * Template:       astra
 * Text Domain:	   astra-child
 * Description:    The Astra WordPress theme is lightning-fast and highly customizable. It has over 1 million downloads and the only theme in the world with 5,700+ five-star reviews! It’s ideal for professional web designers, solopreneurs, small businesses, eCommerce, membership sites and any type of website. It offers special features and templates so it works perfectly with all page builders like Spectra, Elementor, Beaver Builder, etc. Fast performance, clean code, mobile-first design and schema markup are all built-in, making the theme exceptionally SEO-friendly. It’s fully compatible with WooCommerce, SureCart and other eCommerce plugins and comes with lots of store-friendly features and templates. Astra also provides expert support for free users. A dedicated team of fully trained WordPress experts are on hand to help with every aspect of the theme. Try the live demo of Astra: https://zipwp.org/themes/astra/
 */

/* Homepage */
.testimonial-slider .single-item-wrapper {
    display: grid;
    background: #fff;
    grid-template-columns: auto 1fr;
    padding: 40px;
    align-items: center;
    border-radius: 10px;
}
.testimonial-slider .single-item-wrapper .rating-wrapper {
    grid-row: 1;
    grid-column: span 2;
    margin: 0 0 30px;
}
.testimonial-slider .tss-meta-info {
    grid-row: 3;
}
.testimonial-slider .single-item-wrapper .item-content-wrapper {
    background: transparent;
    grid-row: 2;
    width: 100%;
    grid-column: span 2;
    padding: 0;
    margin: 0 0 60px;
}
.testimonial-slider .single-item-wrapper h3.author-name {
    grid-row: 3;
    margin: 0 0 0 18px;
}
.testimonial-slider .single-item-wrapper .item-content-wrapper::before,
.testimonial-slider .carousel-wrapper .swiper-arrow i,
.contact-form form br,
.form-wrapper-content form br,
header.entry-header{
	display: none;
}
.testimonial-slider .single-item-wrapper .rating-wrapper .dashicons {
    margin-right: 3px;
}
.testimonial-slider .carousel-wrapper .tss-carousel {
    margin: 0 -15px;
}
.testimonial-slider .carousel-wrapper .swiper-arrow {
    width: 48px;
    height: 48px;
    border-radius: 100%;
    display: inline-flex;
    position: absolute;
    top: -60px;
}
.testimonial-slider .carousel-wrapper .swiper-arrow::before {
    content: "";
    position: absolute;
    width: 10px;
    height: 10px;
    border-left: 2px solid #fff;
    border-top: 2px solid #fff;
    transform: rotate(-45deg);
    left: 20px;
}
.testimonial-slider .carousel-wrapper .swiper-arrow.swiper-button-prev {
    left: auto;
    right: 50px;
}
.testimonial-slider .carousel-wrapper .swiper-arrow.swiper-button-next::before {
    transform: rotate(135deg);
    left: 17px;
}
/* Contact page */
.contact-form form p {
    margin: 0 0 22px;
}
.contact-form form input {
    min-height: 48px;
}
.contact-form form input.wpcf7-form-control:not([type="submit"]),
.contact-form form textarea,
.contact-form form textarea.wpcf7-form-control:focus,
.contact-form form input.wpcf7-form-control:not([type="submit"]):focus {
    border: 1px solid rgba(0,0,0,0.1);
    background: #fdfbf5;
    box-shadow: none;
    color: #000;
}
.contact-form form textarea {
    height: 110px;
}
.contact-form .wpcf7-form.invalid .wpcf7-response-output {
    border: 1px solid red;
    color: red;
    margin-left: 0;
}
.contact-form form input[type="submit"]:hover {
    background: var( --e-global-color-primary);
}

/* Login And Register */
.form-wrapper-content {
    max-width: 850px;
    margin: 0 auto;
}
.login-wrapper h1 {
    font-size: 48px;
    color: #042955;
    font-family: "Drescher Grotesk BT Bold", sans-serif;
    letter-spacing: 0.2px;
    font-weight: 400;
    text-align: left;
    line-height: 60px;
    margin-bottom: 35px;
}
.login-wrapper {
    border: 1px solid rgb(175 188 203 / 50%);
    padding: 32px 40px 20px;
    border-radius: 20px;
}
.form-wrapper-content form label {
    font-size: 15px;
    color: rgba(0,0,0,0.4);
    font-weight: 500;
}
.form-wrapper-content form label,
.form-wrapper-content form input,
.form-wrapper-content form select{
    font-family: Poppins, sans-serif;
}
.form-wrapper-content form input,
.form-wrapper-content form select {
    min-height: 50px;
    border: 1px solid rgba(0,0,0,0.1);
    border-radius: 6px;
    color: #000;
    box-shadow: none;
}
.form-wrapper-content form input[type="checkbox"] {
    min-height: auto;
    width: 20px;
    height: 20px;
    position: absolute;
    left: 0;
    opacity: 0;
    z-index: 1;
}
.form-wrapper-content form .checkbox-label {
    position: relative;
    font-weight: 400;
    display: inline-flex;
    margin: 0;
}
.cstm-checkbox {
    width: 20px;
    height: 20px;
    display: inline-flex;
    border: 1px solid rgba(0,0,0,0.1);
    border-radius: 4px;
    margin-right: 10px;
}
.cstm-checkbox::after {
    content: "";
    position: absolute;
    width: 6px;
    height: 10px;
    border-bottom: 2px solid #fff;
    border-right: 2px solid #fff;
    transform: rotate(45deg);
    left: 8px;
    top: 3px;
    pointer-events: none;
}
.form-wrapper-content form input[type="checkbox"]:checked ~ .cstm-checkbox {
    background: #042955;
}
.form-wrapper-content form input:focus {
    border: 1px solid rgba(0,0,0,0.1);
}
.form-wrapper-content form button[type="submit"]:hover {
    background: #042955;
}
.login-acc-create {
    display: flex;
    justify-content: space-between;
    gap: 10px;
    border-top: 1px solid rgba(0,0,0,0.1);
    margin: 0 -40px;
    padding: 20px 40px 0px;
}
.login-acc-create a {
    color: #042955;
}
.entry-content .checkbox-wrap {
    margin-bottom: 16px;
}
.registration-fields {
    display: flex;
    gap: 20px;
}
.registration-fields .field {
    flex: 0 0 calc(50% - 10px);
    max-width: 50%;
}
.parent-wrapper {
    display: flex;
    flex-direction: column;
    gap: 15px;
    margin: 0 0 30px;
}
.parent-wrapper h3 {
    margin: 0;
}
.child-row {
    display: flex;
    gap: 20px;
    align-items: flex-end;
    margin: 0 0 20px;
}
.child-row .child-field {
    flex: 1;
}
.login-wrapper .child-row .remove-btn {
    background: #ff0000;
    padding: 12px 17px;
}
.login-wrapper .child-row .remove-btn,
.login-wrapper .add-more-btn{
    font-size: 14px;
}
.login-wrapper .add-more-btn {
    padding: 15px 17px;
    background: #042955;
}
/* Assignments */
ul.cam-grade-tabs {
    padding: 0;
    border: none;
    background: #f7cf00;
    display: inline-flex;
    border-radius: 60px;
    margin: 0 0 25px;
}
.cam-grade-tabs li.cam-tab {
    border: none;
    padding: 10px 32px;
    background: transparent;
    box-shadow: none;
    color: #fff;
    border-radius: 60px;
    font-weight: 500;
    transition: background 0.3s ease-in;
}
.cam-assignments-wrap .cam-grade-tabs li.active,
.cam-grade-tabs li.cam-tab:hover {
    background: #042955;
}
.cam-grade-content,
.cam-grade-tabs li.cam-tab {
    font-family: "Poppins", sans-serif;
}
.cam-assignments-wrap .cam-grade-tabs li.active {
    background: #042955;
    color: #fff;
    font-weight: 500;
    border: none;
}
.cam-grade-tabs li.cam-tab:last-child {
    margin: 0;
}
.cam-assignments-wrap .cam-grade-content {
    border: none;
    border-radius: 0;
    padding: 0;
    background: transparent;
}
.cam-assignments-wrap .cam-grade-content .cam-course {
    border: none;
    padding: 25px;
    margin-bottom: 22px;
    background: #fff;
    border: 1px solid rgba(0,0,0,0.1);
    border-radius: 20px;
}
.cam-course ul.cam-assign-list {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
}
.cam-assignments-wrap .cam-course h3 {
    font-size: 22px;
    line-height: 28px;
    color: #042955;
    margin-bottom: 15px;
    font-weight: 500;
}
.cam-course ul.cam-assign-list a {
    text-decoration: none;
    border: 1px solid #1B1D21;
    padding: 7px 16px;
    border-radius: 50px;
    color: #1B1D21;
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 15px;
}
.cam-assign-list .icon {
    display: flex;
}
.cam-assign-list .icon svg {
    fill: #042955;
    width: 17px;
    height: 17px;
}
.cam-course ul.cam-assign-list a:focus {
    outline: none;
}
.elementor-element.program-menu .hfe-nav-menu__toggle .hfe-nav-menu-icon {
    width: 30px;
    height: 3px;
    position: relative;
	border-radius: 6px;
	padding:30px 0 0;
}
.elementor-element.program-menu .hfe-nav-menu__toggle .hfe-nav-menu-icon::before,
.elementor-element.program-menu .hfe-nav-menu__toggle .hfe-nav-menu-icon::after {
    content: "";
    position: absolute;
    left: 0;
    top: 7px;
    background: #007c00;
    width: 100%;
    height: 3px;
	border-radius: 6px;
}
.elementor-element.program-menu .hfe-nav-menu__toggle::before {
    content: "";
    position: absolute;
    width: 30px;
    top: 21px;
    background: #007c00;
    height: 3px;
    border-radius: 6px;
}
.elementor-element.program-menu .hfe-nav-menu__toggle .hfe-nav-menu-icon::after {
    top: 14px;
}
.elementor-element.program-menu .hfe-flyout-content .elementor-clickable.hfe-flyout-close::after,
.elementor-element.program-menu .hfe-flyout-content .elementor-clickable.hfe-flyout-close::before{
    content: "";
    position: absolute;
    width: 20px;
    height: 2px;
    background: #303030;
    transform: rotate(45deg);
    left: 3px;
    top: 10px;
    border-radius: 6px;
}
.no-margin p {
    margin: 0;
}
.elementor-element.program-menu .hfe-flyout-content .elementor-clickable.hfe-flyout-close::before {
    transform: rotate(-45deg);
}
.reviews-slider .tss-carousel .item-content-wrapper {
    background: transparent;
    padding: 0;
    order: 2;
    max-width: 640px;
    margin: 0 auto;
}
.reviews-slider .item-content-wrapper::before {
    display: none;
}
.reviews-slider .single-item-wrapper {
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.reviews-slider .single-item-wrapper .rating-wrapper {
    order: 1;
	margin-bottom:0px;
}
.reviews-slider .single-item-wrapper .author-name {
    order: 3;
}
.reviews-slider .tss-carousel.swiper .swiper-pagination {
    bottom: -90px !important;
}

.reviews-slider .tss-carousel.swiper .swiper-pagination .swiper-pagination-bullet {
    width: 13px;
    height: 13px;
    background: #007c00;
}
.copyright-link a {
    color: inherit;
    font-weight: 700;
}
.footer-socialicons  .elementor-social-icon-facebook svg path {
    fill: #fff;
}